curl --request POST \
--url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowChildTables": true,
"allowPublicApiAccess": true,
"columnCount": 123,
"columns": [
{
"deleted": true,
"description": "<string>",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"createdByUserId": 123,
"foreignColumnId": 123,
"foreignIds": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"foreignIdsById": {},
"foreignIdsByName": {},
"foreignTableId": 123,
"optionCount": 123,
"options": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"order": 123,
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"createdByUserId": 123,
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"updatedByUserId": 123
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"updatedByUserId": 123,
"width": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"deleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"dynamicMetaTags": {},
"enableChildTablePages": true,
"id": "<string>",
"label": "<string>",
"name": "<string>",
"published": true,
"publishedAt": "2023-11-07T05:31:56Z",
"rowCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"useForPages": true,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"isOrderedManually": true,
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Reset a table draft
テーブルの下書きバージョンのデータを公開済みバージョンの値に置き換えます。下書きで公開終了された変更はこの呼び出しが行われた後に失われます。
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
リセットするテーブルのIDまたは名前。
クエリパラメータ
レスポンスで外部ID値を入力するには、これを「true」に設定してください。
レスポンス
successful operation
子テーブルを作成できるかどうかが指定されます
テーブルを許可なしで誰でも読み取れるかどうかが指定されます
削除された列を含む列の数
テーブル内の列のリスト
Show child attributes
Show child attributes
テーブルが作成された時点のタイムスタンプ
テーブルが削除済みにされたかどうかを示します。
テーブルが削除された日時を示すタイムスタンプ。
関連付けられている列IDを使用して[メタデータフィールド](https://developers.hubspot.com/docs/cms/guides/dynamic-pages/hubdb#dynamic-pages)のキー値ペアが指定されます。
Show child attributes
Show child attributes
子テーブルを使用した複数レベルの動的ページの作成が指定されます
テーブルのID
テーブルのラベル
テーブルの数
テーブルが現在公開されているかどうかを示します。
テーブルが最近公開された時点のタイムスタンプ
テーブル内の行数
テーブルが最近更新された時点のタイムスタンプ
テーブルを動的ページの作成に使用できるかどうかが指定されます
Show child attributes
Show child attributes
テーブルの行が手動で並べ替えられたかどうかを示します。
Show child attributes
Show child attributes